<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
HashDatabase..::.FastStats Method (Transaction)
HashDatabase Class See Also

Return the database statistical information which does not require traversal of the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public HashStats FastStats(
    	Transaction txn
    )

Visual Basic (Declaration)

    Public Function FastStats ( _
    	txn As Transaction _
    ) As HashStats

Visual C++

    public:
    HashStats^ FastStats(
    	Transaction^ txn
    )

#### Parameters

txn
  Type: BerkeleyDB..::.Transaction
  If the operation is part of an application-specified transaction, txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null.

#### Return Value

The database statistical information which does not require traversal of the database.

# See Also

HashDatabase Class
FastStats Overload
BerkeleyDB Namespace